# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KRegExpPrivate Class Reference

Used internally by KRegExp. More...

`#include <kregpriv.h>`

List of all members.

## Public Member Functions

| KRegExpPrivate (const char *_pattern, const char *_mode="")
bool | compile (const char *_pattern, const char *_mode="")
bool | match (const char *_string)
const char * | group (int _grp)
int | groupStart (int _grp)
int | groupEnd (int _grp)

## Protected Attributes

regex_t | m_pattern
regmatch_t | m_matches [10]
char * | m_strMatches [10]
bool | m_bInit

## Detailed Description

Used internally by KRegExp.

Definition at line 33 of file kregpriv.h.

The documentation for this class was generated from the following files:

- kregpriv.h
- kregexp.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:58 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003